Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in ecryptfs-utils
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in ecryptfs-utils
ID: openSUSE-SU-2011:0902-1
Distribution: SUSE
Plattformen: SUSE openSUSE 11.3, SUSE openSUSE 11.4
Datum: Sa, 13. August 2011, 00:05
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1831
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1832
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1833
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1834
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1835
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1837
Applikationen: ecryptfs-utils

Originalnachricht

   openSUSE Security Update: ecryptfs-utils: Update to fix various symlink race
attacks
______________________________________________________________________________

Announcement ID: openSUSE-SU-2011:0902-1
Rating: important
References: #709771
Affected Products:
openSUSE 11.4
openSUSE 11.3
______________________________________________________________________________

An update that contains security fixes can now be installed.

Description:

This update of ecryptfs-utils fixes several security
problems:

- CVE-2011-1831 - Race condition when checking mountpoint
during mount.
- CVE-2011-1832 - Race condition when checking mountpoint
during unmount.
- CVE-2011-1833 - Race condition when checking source
during mount.
- CVE-2011-1834 - Improper mtab handling allowing
corruption due to resource limits, signals, etc.
- CVE-2011-1835 - Key poisoning in ecryptfs-setup-private
due to insecure temp directory.
- CVE-2011-1837 - Predictable lock counter name and
associated races.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch ecryptfs-utils-4986

- openSUSE 11.3:

zypper in -t patch ecryptfs-utils-4986

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

ecryptfs-utils-83-6.7.1

- openSUSE 11.4 (x86_64):

ecryptfs-utils-32bit-83-6.7.1

- openSUSE 11.3 (i586 x86_64):

ecryptfs-utils-83-3.3.1

- openSUSE 11.3 (x86_64):

ecryptfs-utils-32bit-83-3.3.1


References:

https://bugzilla.novell.com/709771

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung